# DataExchange
TKIGES
IGESSolid

# IGESSolid_ConeFrustum Class Reference

defines ConeFrustum, Type <156> Form Number <0>
in package IGESSolid
The Cone Frustum is defined by the center of the
larger circular face of the frustum, its radius, a unit
vector in the axis direction, a height in this direction
and a second circular face with radius which is lesser
than the first face.

`#include <IGESSolid_ConeFrustum.hxx>`

Inheritance diagram for IGESSolid_ConeFrustum:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_ConeFrustum ()
Standard_EXPORT void | Init (const Standard_Real Ht, const Standard_Real R1, const Standard_Real R2, const gp_XYZ &Center, const gp_XYZ &anAxis)
| This method is used to set the fields of the class ConeFrustum - Ht : the Height of cone - R1 : Radius of the larger face - R2 : Radius of the smaller face (default 0) - Center : Center of the larger face (default (0,0,0)) - anAxis : Unit vector in axis direction (default (0,0,1)) .
Standard_EXPORT Standard_Real | Height () const
| returns the height of the cone frustum
Standard_EXPORT Standard_Real | LargerRadius () const
| returns the radius of the larger face of the cone frustum
Standard_EXPORT Standard_Real | SmallerRadius () const
| returns the radius of the second face of the cone frustum
Standard_EXPORT gp_Pnt | FaceCenter () const
| returns the center of the larger face of the cone frustum
Standard_EXPORT gp_Pnt | TransformedFaceCenter () const
| returns the center of the larger face of the cone frustum after applying TransformationMatrix
Standard_EXPORT gp_Dir | Axis () const
| returns the direction of the axis of the cone frustum
Standard_EXPORT gp_Dir | TransformedAxis () const
| returns the direction of the axis of the cone frustum after applying TransformationMatrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | theHeight
Standard_Real | theR1
Standard_Real | theR2
gp_XYZ | theFaceCenter
gp_XYZ | theAxis

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_ConeFrustum::IGESSolid_ConeFrustum | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Dir IGESSolid_ConeFrustum::Axis | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_ConeFrustum::FaceCenter | ( |  | ) | const

Standard_EXPORT const IGESSolid_ConeFrustum::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Real IGESSolid_ConeFrustum::Height | ( |  | ) | const

Standard_EXPORT void IGESSolid_ConeFrustum::Init | ( | const Standard_Real | Ht,
|  | const Standard_Real | R1,
|  | const Standard_Real | R2,
|  | const gp_XYZ & | Center,
|  | const gp_XYZ & | anAxis
| ) |

Standard_EXPORT Standard_Real IGESSolid_ConeFrustum::LargerRadius | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_ConeFrustum::SmallerRadius | ( |  | ) | const

Standard_EXPORT gp_Dir IGESSolid_ConeFrustum::TransformedAxis | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_ConeFrustum::TransformedFaceCenter | ( |  | ) | const

## Field Documentation

gp_XYZ IGESSolid_ConeFrustum::theAxis `[private]`

gp_XYZ IGESSolid_ConeFrustum::theFaceCenter `[private]`

Standard_Real IGESSolid_ConeFrustum::theHeight `[private]`

Standard_Real IGESSolid_ConeFrustum::theR1 `[private]`

Standard_Real IGESSolid_ConeFrustum::theR2 `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_ConeFrustum.hxx